Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027523
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2014-09-01 23:402014-10-07 11:50
ReporterjecharriView Statuspublic 
Assigned Tomarvintm 
PriorityurgentResolutionfixedFixed in VersionRR15Q1
StatusclosedFix in branchFixed in SCM revision6186e53b92db
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomigueldejuana
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027523: Cash up report is not using the correct currency conversion date

DescriptionCash up report is not using the correct currency conversion date. It should take the currency rate from the correct day and currently it is not doing.

Steps To Reproduce-with white valley sampledata
-create a cash up where you use the USD payment method
-execute the cash up report using the ERP

-Verify that you will find total deposits --> USA Cash (XXXXUSD) YYY

-Create new conversion rates from usd<->eur for next day

-print again the report. You will see that YYY now is different. The report is using the last conversion rate.
TagsNo tags attached.
Attached Filesdiff file icon diff27523.diff [^] (5,634 bytes) 2014-10-02 18:56 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0070749)
hgbot (developer)
2014-10-06 18:16

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 6186e53b92dbe0b7fe40a179bd54d4fee1eabe4b
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Mon Oct 06 18:15:56 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/6186e53b92dbe0b7fe40a179bd54d4fee1eabe4b [^]

fixed issue 27523:set new param with cashup date to c_conversion_rate function

---
M src/org/openbravo/retail/posterminal/ad_reports/CashUpReport.java
---
(0070763)
migueldejuana (developer)
2014-10-07 11:50

Tested and reviewed in 1f105c08f2ee

- Issue History
Date Modified Username Field Change
2014-09-01 23:40 jecharri New Issue
2014-09-01 23:40 jecharri Assigned To => marvintm
2014-09-01 23:40 jecharri Triggers an Emergency Pack => No
2014-10-02 18:56 malsasua File Added: diff27523.diff
2014-10-06 18:16 hgbot Checkin
2014-10-06 18:16 hgbot Note Added: 0070749
2014-10-06 18:16 hgbot Status new => resolved
2014-10-06 18:16 hgbot Resolution open => fixed
2014-10-06 18:16 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/6186e53b92dbe0b7fe40a179bd54d4fee1eabe4b [^]
2014-10-07 11:50 migueldejuana Review Assigned To => migueldejuana
2014-10-07 11:50 migueldejuana Note Added: 0070763
2014-10-07 11:50 migueldejuana Status resolved => closed
2014-10-07 11:50 migueldejuana Fixed in Version => RR15Q1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker